| Apache Ignite C++

Public Member Functions | Friends | List of all members
ignite::Date Class Reference

Date type. More...

`#include <date.h>`

## Public Member Functions
| Date ()
| Default constructor.
| Date (const Date &another)
| Copy constructor. More...
| Date (int64_t ms)
| Constructor. More...
Date & | operator= (const Date &another)
| Copy operator. More...
int64_t | GetMilliseconds () const
| Returns number of milliseconds since 00:00 hours, Jan 1, 1970 UTC. More...
int64_t | GetSeconds () const
| Returns number of seconds since 00:00 hours, Jan 1, 1970 UTC. More...

## Friends
bool IGNITE_IMPORT_EXPORT | operator== (const Date &val1, const Date &val2)
| Comparison operator override. More...
bool IGNITE_IMPORT_EXPORT | operator!= (const Date &val1, const Date &val2)
| Comparison operator override. More...
bool IGNITE_IMPORT_EXPORT | operator< (const Date &val1, const Date &val2)
| Comparison operator override. More...
bool IGNITE_IMPORT_EXPORT | operator<= (const Date &val1, const Date &val2)
| Comparison operator override. More...
bool IGNITE_IMPORT_EXPORT | operator> (const Date &val1, const Date &val2)
| Comparison operator override. More...
bool IGNITE_IMPORT_EXPORT | operator>= (const Date &val1, const Date &val2)
| Comparison operator override. More...

## Detailed Description

Date type.

## Constructor & Destructor Documentation

## ◆ Date() [1/2]

ignite::Date::Date | ( | const Date & | another | ) |

Copy constructor.

Parameters

  another | Another instance.

## ◆ Date() [2/2]

ignite::Date::Date | ( | int64_t | ms | ) |

Constructor.

Parameters

  ms | Number of milliseconds since 00:00 hours, Jan 1, 1970 UTC.

## Member Function Documentation

## ◆ GetMilliseconds()

int64_t ignite::Date::GetMilliseconds | ( |  | ) | const

Returns number of milliseconds since 00:00 hours, Jan 1, 1970 UTC.

Returns
  Number of milliseconds since 00:00 hours, Jan 1, 1970 UTC.

## ◆ GetSeconds()

int64_t ignite::Date::GetSeconds | ( |  | ) | const

Returns number of seconds since 00:00 hours, Jan 1, 1970 UTC.

Returns
  Number of seconds since 00:00 hours, Jan 1, 1970 UTC.

## ◆ operator=()

Date & ignite::Date::operator= | ( | const Date & | another | ) |

Copy operator.

Parameters

  another | Another instance.

Returns
  This.

## Friends And Related Function Documentation

## ◆ operator!=

bool IGNITE_IMPORT_EXPORT operator!= | ( | const Date & | val1,
|  | const Date & | val2
| ) |  |
| friend

Comparison operator override.

Parameters

  val1 | First value.
  val2 | Second value.

Returns
  True if not equal.

## ◆ operator<

bool IGNITE_IMPORT_EXPORT operator< | ( | const Date & | val1,
|  | const Date & | val2
| ) |  |
| friend

Comparison operator override.

Parameters

  val1 | First value.
  val2 | Second value.

Returns
  True if less.

## ◆ operator<=

bool IGNITE_IMPORT_EXPORT operator<= | ( | const Date & | val1,
|  | const Date & | val2
| ) |  |
| friend

Comparison operator override.

Parameters

  val1 | First value.
  val2 | Second value.

Returns
  True if less or equal.

## ◆ operator==

bool IGNITE_IMPORT_EXPORT operator== | ( | const Date & | val1,
|  | const Date & | val2
| ) |  |
| friend

Comparison operator override.

Parameters

  val1 | First value.
  val2 | Second value.

Returns
  True if equal.

## ◆ operator>

bool IGNITE_IMPORT_EXPORT operator> | ( | const Date & | val1,
|  | const Date & | val2
| ) |  |
| friend

Comparison operator override.

Parameters

  val1 | First value.
  val2 | Second value.

Returns
  True if gretter.

## ◆ operator>=

bool IGNITE_IMPORT_EXPORT operator>= | ( | const Date & | val1,
|  | const Date & | val2
| ) |  |
| friend

Comparison operator override.

Parameters

  val1 | First value.
  val2 | Second value.

Returns
  True if gretter or equal.

The documentation for this class was generated from the following files:

- date.h
- date.cpp